Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.config
Class AuthorizationSpaceParameter

    java.lang.Object
      org.esupportail.portal.channels.CStockage.config.AuthorizationSpaceParameter

public class AuthorizationSpaceParameter
extends java.lang.Object

Id: AuthorizationSpaceParameter.java,v 1.0 9 juil. 2004
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: AuthorizationSpaceParameter
Original Author: Yohan Colmant
This represents an attribute and a value a user has to have to access the specified space

Field Summary
`private java.lang.String` | `attribute` The attribute name
`private java.lang.String` | `value` The attribute value

Constructor Summary
`AuthorizationSpaceParameter()`

Method Summary
`java.lang.Object` | `clone()` Clone the object
`java.lang.String` | `getAttribute()`
`java.lang.String` | `getValue()`
`void` | `setAttribute(java.lang.String attribute)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attribute

    private java.lang.String attribute

  The attribute name

### value

    private java.lang.String value

  The attribute value

Constructor Detail

### AuthorizationSpaceParameter

    public AuthorizationSpaceParameter()

Method Detail

### getAttribute

    public java.lang.String getAttribute()

  Returns:
    Returns the attribute.

### setAttribute

    public void setAttribute(java.lang.String attribute)

  Parameters:
    `attribute` - The attribute to set.

### getValue

    public java.lang.String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - The value to set.

### clone

    public java.lang.Object clone()

  Clone the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD